%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3
%define gtk2_version 2.2.4
%define pango_version 1.2.5
%define startup_notification_version 0.5

Summary: 	Window Navigator Construction Kit
Name: 		libwnck
Version: 	2.4.0.1
Release: 	1
URL: 		ftp://ftp.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libwnck-2.4.0.1-aix.patch
Patch1:		libwnck-2.4.0.1-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: glib2 >= %{glib2_version}
requires: gtk2 >= %{gtk2_version}

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  startup-notification-devel >= %{startup_notification_version}
BuildPreReq: autoconf libtool

%description
libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

%package devel
Summary: 	Libraries and headers for libwnck
Group: 		Development/Libraries
Requires: 	%name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}

%description devel
libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libwnck-2.4.0.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libwnck-2.4.0.1-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.a
%{_datadir}/locale/*/LC_MESSAGES/libwnck.mo

/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

/usr/include/*
